package patterns

// Bacula is a collection of common Bacula patterns. See http://blog.bacula.org
var Bacula = map[string]string{
	"BACULA_TIMESTAMP":              `%{MONTHDAY}-%{MONTH} %{HOUR}:%{MINUTE}`,
	"BACULA_HOST":                   `[a-zA-Z0-9-]+`,
	"BACULA_VOLUME":                 `%{USER}`,
	"BACULA_DEVICE":                 `%{USER}`,
	"BACULA_DEVICEPATH":             `%{UNIXPATH}`,
	"BACULA_CAPACITY":               `%{INT}{1,3}(,%{INT}{3})*`,
	"BACULA_VERSION":                `%{USER}`,
	"BACULA_JOB":                    `%{USER}`,
	"BACULA_LOG_MAX_CAPACITY":       `User defined maximum volume capacity %{BACULA_CAPACITY} exceeded on device \"%{BACULA_DEVICE:device}\" \(%{BACULA_DEVICEPATH}\)`,
	"BACULA_LOG_END_VOLUME":         `End of medium on Volume \"%{BACULA_VOLUME:volume}\" Bytes=%{BACULA_CAPACITY} Blocks=%{BACULA_CAPACITY} at %{MONTHDAY}-%{MONTH}-%{YEAR} %{HOUR}:%{MINUTE}.`,
	"BACULA_LOG_NEW_VOLUME":         `Created new Volume \"%{BACULA_VOLUME:volume}\" in catalog.`,
	"BACULA_LOG_NEW_LABEL":          `Labeled new Volume \"%{BACULA_VOLUME:volume}\" on device \"%{BACULA_DEVICE:device}\" \(%{BACULA_DEVICEPATH}\).`,
	"BACULA_LOG_WROTE_LABEL":        `Wrote label to prelabeled Volume \"%{BACULA_VOLUME:volume}\" on device \"%{BACULA_DEVICE}\" \(%{BACULA_DEVICEPATH}\)`,
	"BACULA_LOG_NEW_MOUNT":          `New volume \"%{BACULA_VOLUME:volume}\" mounted on device \"%{BACULA_DEVICE:device}\" \(%{BACULA_DEVICEPATH}\) at %{MONTHDAY}-%{MONTH}-%{YEAR} %{HOUR}:%{MINUTE}.`,
	"BACULA_LOG_NOOPEN":             `\s+Cannot open %{DATA}: ERR=%{GREEDYDATA:berror}`,
	"BACULA_LOG_NOOPENDIR":          `\s+Could not open directory %{DATA}: ERR=%{GREEDYDATA:berror}`,
	"BACULA_LOG_NOSTAT":             `\s+Could not stat %{DATA}: ERR=%{GREEDYDATA:berror}`,
	"BACULA_LOG_NOJOBS":             `There are no more Jobs associated with Volume \"%{BACULA_VOLUME:volume}\". Marking it purged.`,
	"BACULA_LOG_ALL_RECORDS_PRUNED": `All records pruned from Volume \"%{BACULA_VOLUME:volume}\"; marking it \"Purged\"`,
	"BACULA_LOG_BEGIN_PRUNE_JOBS":   `Begin pruning Jobs older than %{INT} month %{INT} days .`,
	"BACULA_LOG_BEGIN_PRUNE_FILES":  `Begin pruning Files.`,
	"BACULA_LOG_PRUNED_JOBS":        `Pruned %{INT} Jobs* for client %{BACULA_HOST:client} from catalog.`,
	"BACULA_LOG_PRUNED_FILES":       `Pruned Files from %{INT} Jobs* for client %{BACULA_HOST:client} from catalog.`,
	"BACULA_LOG_ENDPRUNE":           `End auto prune.`,
	"BACULA_LOG_STARTJOB":           `Start Backup JobId %{INT}, Job=%{BACULA_JOB:job}`,
	"BACULA_LOG_STARTRESTORE":       `Start Restore Job %{BACULA_JOB:job}`,
	"BACULA_LOG_USEDEVICE":          `Using Device \"%{BACULA_DEVICE:device}\"`,
	"BACULA_LOG_DIFF_FS":            `\s+%{UNIXPATH} is a different filesystem. Will not descend from %{UNIXPATH} into it.`,
	"BACULA_LOG_JOBEND":             `Job write elapsed time = %{DATA:elapsed}, Transfer rate = %{NUMBER} (K|M|G)? Bytes/second`,
	"BACULA_LOG_NOPRUNE_JOBS":       `No Jobs found to prune.`,
	"BACULA_LOG_NOPRUNE_FILES":      `No Files found to prune.`,
	"BACULA_LOG_VOLUME_PREVWRITTEN": `Volume \"%{BACULA_VOLUME:volume}\" previously written, moving to end of data.`,
	"BACULA_LOG_READYAPPEND":        `Ready to append to end of Volume \"%{BACULA_VOLUME:volume}\" size=%{INT}`,
	"BACULA_LOG_CANCELLING":         `Cancelling duplicate JobId=%{INT}.`,
	"BACULA_LOG_MARKCANCEL":         `JobId %{INT}, Job %{BACULA_JOB:job} marked to be canceled.`,
	"BACULA_LOG_CLIENT_RBJ":         `shell command: run ClientRunBeforeJob \"%{GREEDYDATA:runjob}\"`,
	"BACULA_LOG_VSS":                `(Generate )?VSS (Writer)?`,
	"BACULA_LOG_MAXSTART":           `Fatal error: Job canceled because max start delay time exceeded.`,
	"BACULA_LOG_DUPLICATE":          `Fatal error: JobId %{INT:duplicate} already running. Duplicate job not allowed.`,
	"BACULA_LOG_NOJOBSTAT":          `Fatal error: No Job status returned from FD.`,
	"BACULA_LOG_FATAL_CONN":         `Fatal error: bsock.c:133 Unable to connect to (Client: %{BACULA_HOST:client}|Storage daemon) on %{HOSTNAME}:%{POSINT}. ERR=(?<berror>%{GREEDYDATA})`,
	"BACULA_LOG_NO_CONNECT":         `Warning: bsock.c:127 Could not connect to (Client: %{BACULA_HOST:client}|Storage daemon) on %{HOSTNAME}:%{POSINT}. ERR=(?<berror>%{GREEDYDATA})`,
	"BACULA_LOG_NO_AUTH":            `Fatal error: Unable to authenticate with File daemon at %{HOSTNAME}. Possible causes:`,
	"BACULA_LOG_NOSUIT":             `No prior or suitable Full backup found in catalog. Doing FULL backup.`,
	"BACULA_LOG_NOPRIOR":            `No prior Full backup Job record found.`,
	"BACULA_LOG_JOB":                `(Error: )?Bacula %{BACULA_HOST} %{BACULA_VERSION} \(%{BACULA_VERSION}\):`,
	"BACULA_LOGLINE":                `%{BACULA_TIMESTAMP:bts} %{BACULA_HOST:hostname} JobId %{INT:jobid}: (%{BACULA_LOG_MAX_CAPACITY}|%{BACULA_LOG_END_VOLUME}|%{BACULA_LOG_NEW_VOLUME}|%{BACULA_LOG_NEW_LABEL}|%{BACULA_LOG_WROTE_LABEL}|%{BACULA_LOG_NEW_MOUNT}|%{BACULA_LOG_NOOPEN}|%{BACULA_LOG_NOOPENDIR}|%{BACULA_LOG_NOSTAT}|%{BACULA_LOG_NOJOBS}|%{BACULA_LOG_ALL_RECORDS_PRUNED}|%{BACULA_LOG_BEGIN_PRUNE_JOBS}|%{BACULA_LOG_BEGIN_PRUNE_FILES}|%{BACULA_LOG_PRUNED_JOBS}|%{BACULA_LOG_PRUNED_FILES}|%{BACULA_LOG_ENDPRUNE}|%{BACULA_LOG_STARTJOB}|%{BACULA_LOG_STARTRESTORE}|%{BACULA_LOG_USEDEVICE}|%{BACULA_LOG_DIFF_FS}|%{BACULA_LOG_JOBEND}|%{BACULA_LOG_NOPRUNE_JOBS}|%{BACULA_LOG_NOPRUNE_FILES}|%{BACULA_LOG_VOLUME_PREVWRITTEN}|%{BACULA_LOG_READYAPPEND}|%{BACULA_LOG_CANCELLING}|%{BACULA_LOG_MARKCANCEL}|%{BACULA_LOG_CLIENT_RBJ}|%{BACULA_LOG_VSS}|%{BACULA_LOG_MAXSTART}|%{BACULA_LOG_DUPLICATE}|%{BACULA_LOG_NOJOBSTAT}|%{BACULA_LOG_FATAL_CONN}|%{BACULA_LOG_NO_CONNECT}|%{BACULA_LOG_NO_AUTH}|%{BACULA_LOG_NOSUIT}|%{BACULA_LOG_JOB}|%{BACULA_LOG_NOPRIOR})`,
}
